import React, { Children, cloneElement, isValidElement, useState } from 'react';
import './Accordion.css';
var Accordion = function (_a) {
    var children = _a.children, allowMultipleExpanded = _a.allowMultipleExpanded, preExpanded = _a.preExpanded, expandAll = _a.expandAll;
    var getInitialItemExpandStatusList = function () {
        var list = [];
        for (var index = 0; index < children.length; index++) {
            var flag = false;
            if (expandAll)
                flag = true;
            else if (preExpanded && Array.isArray(preExpanded))
                flag = preExpanded.includes(index) ? true : false;
            list.push(flag);
        }
        return list;
    };
    var _b = useState(getInitialItemExpandStatusList()), itemExpandStatusList = _b[0], setItemExpandStatusList = _b[1];
    var handleItemExpandStatusListChange = function (index, status) {
        setItemExpandStatusList(itemExpandStatusList.map(function (x, i) { return i === index ? status : allowMultipleExpanded ? x : false; }));
    };
    return (React.createElement("div", { className: 'gj-accordion' }, Children.map(children, function (child, index) {
        if (!isValidElement(child))
            return null;
        else
            return cloneElement(child, { isOpen: itemExpandStatusList[index], setIsOpen: handleItemExpandStatusListChange, itemIndex: index });
    })));
};
export default Accordion;
//# sourceMappingURL=Accordion.js.map