import React, { ForwardedRef, ReactNode, forwardRef } from "react";

export interface AccordionBodyProps {
    maxHeight?: number;
    children: ReactNode
}

const AccordionBody = (props: AccordionBodyProps, ref: ForwardedRef<HTMLDivElement>) => {
    const { maxHeight, children } = props;
    return (
        <div className='gj-accordion-item-body' ref={ref} style={{ maxHeight }}>
            <div className='gj-accordion-item-body-content'>
                {children}
            </div>
        </div>
    );
}

export default forwardRef(AccordionBody);